| Gtk2Hs | Contents | Index

System.Gnome.VFS.Init

Maintainer | gtk2hs-devel@lists.sourceforge.net Stability : alpha Portability : portable (depends on GHC)

Contents

Initialization and Shutdown

Description
Synopsis

init :: IO Bool
shutdown :: IO ()
initialized :: IO Bool

Initialization and Shutdown
init :: IO Bool
If gnome-vfs is not already initialized, initialize it. This must be called prior to performing any other gnome-vfs operations, and may be called multiple times without error.
shutdown :: IO ()
Cease all active gnome-vfs operations and unload the MIME database from memory.
initialized :: IO Bool
Detects if gnome-vfs has already been initialized (gnome-vfs must be initialized prior to using any methods or operations).
Produced by Haddock version 2.4.2